| Bsoft 2.0.5 Bernard's software package

Classes | Macros | Functions
rwresprop.h File Reference

Header file for reading residue property files. More...

`#include "Bstring.h"`

Go to the source code of this file.

## Classes
struct | Bresidue_type
struct | Bresidue_matrix

## Macros
#define | MAXRES 25
#define | _Brestype_

## Functions
Bresidue_type * | get_residue_properties (Bstring &filename)
| Reading residue properties from parameter files. More...
int | write_residue_properties (Bstring &filename, Bresidue_type *rt)
| Writing residue properties from a parameter file. More...
Bresidue_matrix * | get_residue_matrix (Bstring &filename)
| Reading a residue matrix from a file. More...
int | residue_matrix_kill (Bresidue_matrix *resmat)
| Deallocating a residue matrix. More...

## Detailed Description

Header file for reading residue property files.

Author
  Bernard Heymann

Date
  Created: 19980822
  Modified: 20100916

Definition in file rwresprop.h.

## Macro Definition Documentation

## ◆ _Brestype_

#define _Brestype_

Definition at line 50 of file rwresprop.h.

## ◆ MAXRES

#define MAXRES 25

Definition at line 12 of file rwresprop.h.

## Function Documentation

## ◆ get_residue_matrix()

Bresidue_matrix* get_residue_matrix | ( | Bstring & | filename | ) |

Reading a residue matrix from a file.

Parameters

  &filename | file name.

Returns
  Bresidue_matrix* residue matrix property structure, NULL on failure.

Definition at line 164 of file rwresprop.cpp.

## ◆ get_residue_properties()

Bresidue_type* get_residue_properties | ( | Bstring & | filename | ) |

Reading residue properties from parameter files.

Parameters

  &filename | file name.

Returns
  Bresidue_type* the residue property structure, NULL on failure.

Definition at line 99 of file rwresprop.cpp.

## ◆ residue_matrix_kill()

int residue_matrix_kill | ( | Bresidue_matrix * | resmat | ) |

Deallocating a residue matrix.

Parameters

  *resmat | the residue matrix property structure.

Returns
  int 0.

Definition at line 208 of file rwresprop.cpp.

## ◆ write_residue_properties()

int write_residue_properties | ( | Bstring & | filename,
|  | Bresidue_type * | rt
| ) |  |

Writing residue properties from a parameter file.

Parameters

  &filename | file name.
  *rt | the residue property structure.

Returns
  int error code (<0 means failure).

Definition at line 152 of file rwresprop.cpp.